class Animal
  def initialize(color)
    @color = color
  end

  def get_color
    return @color
  end

  def set_color
    @color = "red"
  end
end

class Dog < Animal
  def initialize(color)
    super(color)
  end

  def set_color(color)
    @color = color
  end
end

dog = Dog.new("brown")
puts "The new dog is " + dog.get_color
dog.set_color("black")
puts "Now the dog is " + dog.get_color


